{% extends 'base.html.twig' %}

{% block title %}Hello ArticleController!{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>

<div class="example-wrapper">
    <h1> {{ categorie }}  </h1>

    {% for article in categorie.articles  %}
        {%  if loop.first %}
            <ul>
        {% endif %}
        <li>Article : {{article.id}} - {{article.titre }} - {{article.datecreation | date("d/m/Y H:i:s") }}
            - <a href="{{ path('article_view', {'id': article.id}) }}" > Lire l'article </a></li>
        {%  if loop.last %}
            </ul>
        {% endif %}
    {% else %}
        <b> Il n'y a aucun article dans la catégorie</b>
    {% endfor %}


</div>
{% endblock %}
